Add folder to Library sidebar specifically for downloads
Created attachment 
Patch to add the enhancement

In the Library accessed by History -> Show All History, we want to add a folder for Downloads. faaborg suggested that it go below History but above Tags.
